import type { JsonSchema } from "@jsonforms/core";
import type { JsonFormsInterface, ToolInterface } from "./index";
import { AbstractTool } from "./AbstractTool";
export declare class CombinatorTool extends AbstractTool implements ToolInterface {
    importer: () => import("vue").DefineComponent<{}, {
        $props: {
            readonly isToolbar?: boolean;
            readonly isDragging?: boolean;
            readonly isRoot?: boolean;
            readonly index?: number;
            readonly tool?: Record<string, any>;
        };
        $emit: (event: "deleteByIndex", ...args: any[]) => void;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
    clone: () => ToolInterface;
    constructor(uischemaType?: string);
    optionDataPrepare(tool: ToolInterface): Record<string, any>;
    optionDataUpdate(tool: ToolInterface, data: Record<string, any>): void;
    optionJsonforms(tool: ToolInterface): Promise<JsonFormsInterface>;
    static getKeyword(schema: JsonSchema): 'oneOf' | 'allOf' | 'anyOf' | string | undefined;
    static getKeywordSchemas(schema: JsonSchema): JsonSchema[] | undefined;
    toolbarOptions(): Record<string, any>;
}
export declare const combinatorTool: CombinatorTool;
